---
layout: job_family_page
title: "Technical Account Manager"
---

The Technical Account Manager is the key partner helping customers achieve their strategic objectives and maximum value from their investment in GitLab.  Additionally, the TAM serves as the liaison between the customer and the GitLab ecosystem, streamlining collaboration with Product Management, Engineering, Sales, Professional Services and others.

To learn more, see the [Technical Account Manager handbook](/handbook/customer-success/tam)

### Responsibilities

- Provide immediate on-boarding activities such as installation and training following investment of GitLab
- Own overall relationship with assigned clients, which include: increasing adoption, ensuring retention, and satisfaction
- Work with clients to build Customer Success Plans, establishing critical goals, or other key performance indicators and aid the customer in achieving their goals
- Measure and monitor customers achievement of critical and key performance indicators, reporting both internally to GitLab account stakeholders and externally to Customer Sponsors and Executives
- Establish regular cadence (weekly, Monthly, Quarterly) with each assigned clients, to review health metrics
- Establish a trusted/strategic advisor relationship with each assigned client and drive continued value of our solution and services
- Work closely with the GitLab Sales Account team (Account Executive, Solutions Architects, Professional Services) to identify opportunities for new usage of GitLab across organizational functions
- Work to identify and/or develop up-sell opportunities
- Advocate customer needs/issues cross-departmentally
- Program manage account escalations
- Assist and provide expert deployment, operational best practices and establishing a GitLab Center of Excellence
- Assist in workshops to help customers leverage the full value of GitLab solution
- Provide insights with respect to the availability and applicability of new features in GitLab
- Support GitLab Services in identifying and recommending training opportunities
- Act as the GitLab liaison for GitLab technical questions, issues or escalations.  This will include working with GitLab Support, Product Management(i.e. roadmaps), or others needed
- Maintain current functional knowledge and technical knowledge of GitLab platform

### Requirements

- 7 + years of experience in a related function is required with direct customer advocacy and engagement experience in post-sales or professional services functions
- Prior experience in Customer Success or equivalent history of increasing satisfaction, adoption, and retention
- Familiarity working with clients of all sizes, especially large enterprise organizations
- Exception verbal, written, organizational, presentation, and communications skills
- Detailed oriented and analytical
- Strong team player but self starter
- Strong technical, analytic and problem solving skills
- Experience with Ruby on Rails applications and Git
- Deep knowledge of software development lifecycle and development pipeline
- Understanding of continuous integration, continuous deployment, chatOps, and cloud native
- Above average knowledge of Unix and Unix based Operating Systems
- Installation and operation of Linux operating systems and hardware investigation/manipulation commands
- BASH/Shell scripting including systems and init.d startup scripts
- Package management (RPM, etc. to add/remove/list packages)
- Understanding of system log files/logging infrastructure
- B.Sc. in Computer Science or equivalent experience
- Programming/scripting experience & skill is required (Bash & Ruby)
- Project management experience & skills
- SCM admin and/or PS experience would be a plus
- Set up HA/DR, working with Containers and Schedulers (Kubernetes preferred) and also experience with AWS stack (EC2, ECS, RDS, ElastiCache)

<%= partial("job-families/sales/performance", :locals => { :roleName => "Technical Account Manager" }) %>

## Specialties

Read more about what a [specialty](/handbook/hiring/#definitions) is at GitLab.

### Federal

#### Additional Additional Requirements

- TS/SCI Security Clearance
- Knowledge of and at least 4 years of experience with Federal customers

## Levels 

## Junior Technical Account Manager

Junior Technical Account Managers share the same requirements and responsibilities outlined on our [jobs page ](https://about.gitlab.com/jobs/apply/?gh_jid=4055677002)but typically join with less relevant experience, alternate background and/or less industry exposure than a typical Technical Account Manager.
  
## Senior Technical Account Manager

The Senior Technical Account Manager extends the Technical Account Manager role.

Responsibilities

* Strategize on the overall objectives and long-range goals of the team
* Provide mentorship for Junior and Intermediate Technical Account Managers on your team to help them grow in their technical knowledge and provide premium customer experience
* Work cross-departmentally to find solutions to complex scenarios and integration issues
* Demonstrate leadership in new feature and technology adoption and teaching by providing regular enablement and solution overview sessions and documentation for customers and other GitLab team-members
* Help drive team expertise and technical thought leadership
* Maintain deep knowledge of the entire GitLab application
* Map complex or technical business requirements to clear technical solutions, with the ability to connect all necessary aspects of GitLab and common integrated solutions into optimal workflows
* Clearly communicate and drive adoption of complex technical solutions, with constant attention to promote "boring solutions"
* Ability to translate business requirements, into business value, and work with sales and marketing to promote value-driven solutions
* Strong knowledge of Customer Success best practices, with experience defining process and providing enablement programs to promote adoption in CS and across the company
* Knowledgable in GitLab internals and deployment methods for cloud on on premise deployments
* Expert in GitLab usage and able to train others in its usage
* Advanced knowledge of software development lifecycle and development pipeline
* Advanced project management experience & skills
* Advanced SCM admin and/or PS experience

## Manager of Technical Account Managers
The Manager of Customer Experience is a management position on the front-lines working with the Technical Account Managers and the Solution Architects helping evolve and grow our large and strategic customers. This is a player/coach role where the individual is expected to be experienced in and have advanced insight to the GitLab platform. The individual will contribute to territory and account strategy as well as driving the execution directly and indirectly. The individual will need to be very comfortable giving and receiving positive and constructive feedback, as well as adapting to environmental change and retrospecting on successes and failures. The Manager of Customer Experience will work together with the other managers within the Customer Success organization to help execute on strategies and vision with the Director.

You will have the opportunity to help shape and execute a strategy to help the Technical Account Managers and Solution Architects build mindshare and broad use of the GitLab platform within enterprise customers. Coaching your team members to becoming the trusted advisors to their customers in a post sale situation. The ideal candidate must be self-motivated with a proven track record in software/technology sales or consulting. The ability to connect technology with measurable business value is critical to a solutions architect. You should also have a demonstrated ability to think strategically about business, products, and technical challenges. You will also be responsible in helping grow and maintain our enterprise-level customers.

Responsibilities

* Work with the Customer Success Director to help establish and manage goals and responsibilities for Technical Account Managers and Solution Architects 
* Assist in development of thought leadership, event-specific and customer-facing presentations
* Share hands-on technical preparation and presentation work for key accounts
* Ensure the TAMs/SAs exceeds corporate expectations in core knowledge, communication and execution
* Define and maintain a high bar for team member expectations and enable the team to achieve it
* Challenge the team and yourself to continually learn and grow as trusted advisors to clients
* Monitor performance of team members and provide timely feedback and development assistance
* Create, review, and approve formal statements of work, change requests, and proposals
* Prepare weekly revenue forecast worksheet and create action plans to address issues
* Develop senior-level relationships with customers
* Manage resource assignments and staffing levels, including recruitment as needed
* Identify and implement improvements to the processes and tools used as a seasoned with experience leading teams of project managers and consultants in support of external customers
* Work together with our Sales organization and Professional Services Engineers to propose, scope, and price Professional Services Statements of Work
* Work together with Solutions Architects and Professional Services Engineers to plan and execute internal projects, ensure that teams have appropriate training and manage resources to deliver Customer Success offerings
* Provide leadership and guidance to coach, motivate and lead the team members to their optimum performance levels and career development
* Ensure delivery model is focused on quality, cost effective delivery of services and customer success outcomes
* Remain knowledgeable and up-to-date on GitLab releases
* Document services provided to customers, including new code, techniques and processes, in such a way as to make such services more efficient in the future and to add to the GitLab community. Works with the Product Engineering and Support teams, to contribute documentation for GitLab
* Help build programs that the TAMs will execute to effectively grow our enterprise customers
* Ensure your team maintains high levels of customer retention, customer satisfaction and customer expansion as measured by quarterly goals, surveys and Net Promoter Score (NPS)
* Partner with Technical Support leadership to ensure a seamless customer handoff of escalated technical issues
* Develop strong relationships with Engineering and Product to ensure cohesion and shared understanding of goals, initiatives
* Drive team to exceed company growth and retention forecasts. Oversee initiatives set forth in Quarterly Goals
* Manage a team of highly motivated, customer-focused technical account managers to manage the overall health and care of accounts (e.g. onboarding customers, product/service adoption by user, monitoring engagement across the post-sale lifecycle), and develop compensation plans and career paths appropriate to specific functions within the team

## Hiring Process

Candidates can expect the hiring process to follow the order below. Please keep in mind that candidates can be declined from the position at any stage of the process. To learn more about someone who may be conducting the interview, find her/his job title on our [team page](/company/team).

- Qualified candidates for Technical Account Manager will receive a short questionnaire
- Selected candidates will be invited to schedule a 30 minute [screening call](/handbook/hiring/interviewing/#screening-call) with a member of our Recruiting team
- Candidates will be invited to schedule an interview with our Director of Customer Success
- Next, candidates for the Technical Account Manager role will be invited to schedule an interview with members of the Customer Success team and may be asked to participate in a demo of a live install of GitLab
- Candidates for the Federal Technical Account Manager role will be invited to schedule interviews with members of the Customer Success team and our Federal Regional Sales Director
- Candidates may be invited to schedule an interview with our CRO
- Finally, candidates may interview with our CEO
- Successful candidates will subsequently be made an offer via email

Additional details about our process can be found on our [hiring page](/handbook/hiring/interviewing/).
